var is = require("../vows-is.js"),
	should = require("should");

var util = require("util");

is.config(require("./config.js"));

var suite = is.suite("vows-is").batch()

	.context("a request to GET /")
		.topic.is.a.request("GET /")
		.vow.it.should.have.status(200)
		.vow.it.should.have
			.header("content-type", "text/html; charset=utf-8")
		.context("contains a body that")
			.topic.is.property('body')
			.vow.it.should.be.ok
			.vow.it.should.include.string("hello world")

.suite().export(module);